Sync
Pull replica ops
Device replica log after after_seq. 409 when the cursor is behind compaction (reason=SYNC_COMPACTED, after_seq and compacted_through_seq in ErrorInfo.metadata). Not a notes list.
GET
/
v1
/
sync
/
ops
Pull replica ops
curl --request GET \
--url https://api.elanotes.com/v1/sync/ops \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.elanotes.com/v1/sync/ops"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.elanotes.com/v1/sync/ops', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ops": [
{
"actor": "<string>",
"createdAt": "<string>",
"deviceId": "<string>",
"hlc": {
"counter": 4503599627370495,
"deviceId": "<string>",
"physicalMs": 0
},
"noteId": "<string>",
"opId": "<string>",
"patches": {
"body": {
"from": "<string>",
"to": "<string>"
},
"deleted": {
"from": true,
"to": true
},
"slug": {
"from": "<string>",
"to": "<string>"
},
"tags": {
"from": "<string>",
"to": "<string>"
},
"title": {
"from": "<string>",
"to": "<string>"
}
},
"seq": 0,
"sealed": true,
"visibility": "standard"
}
]
}{
"details": [
{
"@type": "<string>"
}
],
"error": "<string>",
"help": "<string>",
"hint": "<string>",
"message": "<string>",
"reason": "<string>",
"requestId": "<string>",
"statusCode": 0
}{
"details": [
{
"@type": "<string>"
}
],
"error": "<string>",
"help": "<string>",
"hint": "<string>",
"message": "<string>",
"reason": "<string>",
"requestId": "<string>",
"statusCode": 0
}{
"details": [
{
"@type": "<string>"
}
],
"error": "<string>",
"help": "<string>",
"hint": "<string>",
"message": "<string>",
"reason": "<string>",
"requestId": "<string>",
"statusCode": 0
}Authorizations
Static bearer, WorkOS JWT, or open local when AUTH_REQUIRED is off and no static tokens are set. The token selects the vault; paths do not include vault_id.
Query Parameters
Required range:
0 <= x <= 9007199254740991Response
Default Response
Show child attributes
Show child attributes
⌘I
Pull replica ops

